{% extends 'base.html.twig' %}

{% block title %}Hello TodoConstrollerController!{% endblock %}

{% block body %}
<div class="container text-center">
    <h1>Hello {{ controller_name }}! ✅</h1>

    <table class="table table-striped">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col"> tache </th>
      <th scope="col"> etat </th>
      <th scope="col"></th>
    </tr>
  </thead>
  <tbody>
  {% for todo in todolist %}
    <tr>
      <th scope="row">{{ todo.id }}</th>
      <td>{{ todo.task }}</td>
      <td> 
      <button  onclick="() => {window.location('http://localohost:8000/todo{{ todo.id }}')}" type="submit">
      <input type="checkbox" value="{{ todo.completed }}">
      </button>
      </td>
      <td><a href ="{{ path('app_todo.detail', {'id': todo.id}) }}"class="btn btn-info">detail</a></td>
      <td><a href ="{{ path('app_todo.delete', {'id': todo.id}) }}"class="btn btn-danger">SUPPRIMER</a></td>
    </tr>
    {% endfor %}
  </tbody>
</table>
</div>

{% endblock %}
